> ## Documentation Index
> Fetch the complete documentation index at: https://docs.alphractal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Price

> Retrieve spot price data for the specified asset. Returns historical price data aggregated by the specified timeframe. Supports timeframes: 1m, 5m, 15m, 30m, 1h, 4h, 1d, 1w, 1M.



## OpenAPI

````yaml /api-reference/openapi.json get /{asset}/spot/Price
openapi: 3.1.1
info:
  title: Alphractal API
  version: 0.3.0
  description: >-
    Alphractal API provides comprehensive cryptocurrency on-chain data including
    mining metrics, address analytics, block information, fee data, market
    indicators, supply metrics, exchange flows, and more.
servers:
  - url: https://api.alphractal.com
    description: Production server
security:
  - ApiKeyAuth: []
paths:
  /{asset}/spot/Price:
    get:
      tags:
        - OHLCVSpot
      summary: Price
      description: >-
        Retrieve spot price data for the specified asset. Returns historical
        price data aggregated by the specified timeframe. Supports timeframes:
        1m, 5m, 15m, 30m, 1h, 4h, 1d, 1w, 1M.
      parameters:
        - name: asset
          in: path
          required: true
          schema:
            type:
              - string
              - 'null'
            enum:
              - 0g
              - 1inch
              - 2z
              - a
              - aave
              - ace
              - ada
              - aero
              - aioz
              - akt
              - alch
              - algo
              - ape
              - apt
              - ar
              - arb
              - aster
              - ath
              - atom
              - ausd
              - ausdt
              - avax
              - awe
              - axs
              - b
              - banana
              - bard
              - bat
              - bch
              - beam
              - bnb
              - bonk
              - brett
              - bsv
              - btc
              - btt
              - cake
              - cc
              - cfg
              - cfx
              - cheems
              - chz
              - ckb
              - comp
              - core
              - cow
              - cro
              - crv
              - crvusd
              - ctc
              - cvx
              - cys
              - dash
              - deep
              - dexe
              - dog
              - doge
              - dot
              - dydx
              - egld
              - ena
              - ens
              - etc
              - eth
              - ethfi
              - fartcoin
              - fet
              - ff
              - fil
              - floki
              - flr
              - fluid
              - form
              - frax
              - g
              - gala
              - gas
              - glm
              - gmx
              - gno
              - grass
              - grt
              - gwei
              - h
              - hbar
              - hnt
              - home
              - hot
              - hype
              - icnt
              - icp
              - imx
              - inch
              - inj
              - iota
              - ip
              - jasmy
              - jst
              - jto
              - jup
              - kaia
              - kaito
              - kas
              - kite
              - la
              - ldo
              - link
              - lit
              - lpt
              - ltc
              - lunc
              - m
              - mana
              - mantra
              - met
              - mina
              - mnt
              - mon
              - morpho
              - move
              - near
              - neo
              - night
              - okb
              - ondo
              - op
              - paxg
              - pendle
              - pengu
              - pepe
              - pieverse
              - pippin
              - pol
              - pump
              - pyth
              - qnt
              - qtum
              - qubic
              - render
              - river
              - rose
              - rsr
              - rune
              - rvn
              - s
              - safe
              - sand
              - sei
              - sent
              - sfp
              - shib
              - siren
              - skr
              - sky
              - snx
              - sol
              - spx
              - stable
              - stg
              - strk
              - stx
              - sui
              - sun
              - susd
              - syrup
              - t
              - tag
              - tao
              - theta
              - tia
              - ton
              - toshi
              - tria
              - trump
              - trx
              - turbo
              - tusd
              - twt
              - uai
              - ub
              - uni
              - velo
              - vet
              - virtual
              - vvv
              - w
              - wal
              - wif
              - wld
              - wlfi
              - wusd
              - xaut
              - xcn
              - xdc
              - xec
              - xlm
              - xmr
              - xpl
              - xrp
              - xtz
              - xvg
              - yfi
              - yzy
              - z
              - zec
              - zen
              - zil
              - zk
              - zro
              - zrx
          description: >-
            Asset identifier, lowercase ticker. The list is the assets that
            carry this metric — an asset outside it has no data here.
          example: btc
        - name: timeframe
          in: query
          schema:
            type:
              - string
              - 'null'
            enum:
              - 1m
              - 5m
              - 15m
              - 30m
              - 1h
              - 4h
              - 6h
              - 12h
              - 1d
            default: 1d
          description: >-
            Aggregation bucket. Values outside the accepted list fall back to
            the daily series instead of returning an error.
          example: 1h
        - description: >-
            Start date for filtering results (inclusive). Format: ISO 8601
            date-time.
          name: startDate
          in: query
          schema:
            format: date-time
            type: string
            nullable: true
          required: false
        - description: >-
            End date for filtering results (inclusive). Format: ISO 8601
            date-time.
          name: endDate
          in: query
          schema:
            format: date-time
            type: string
            nullable: true
          required: false
        - name: exchange
          in: query
          schema:
            type:
              - string
              - 'null'
            enum:
              - apex
              - aster
              - backpack
              - binance
              - bingx
              - bitfinex
              - bitget
              - bithumb
              - bitmart
              - bitmex
              - bitstamp
              - blockchaincom
              - blofin
              - bullish
              - bybit
              - bydfi
              - coinbase
              - coinex
              - cryptocom
              - deepcoin
              - delta
              - deribit
              - digifinex
              - dydx
              - fmfwio
              - foxbit
              - gate
              - hashkey
              - hibachi
              - hitbtc
              - htx
              - hyperliquid
              - kraken
              - kucoin
              - kucoinfutures
              - lbank
              - mercado
              - mexc
              - okx
              - paradex
              - phemex
              - tokocrypto
              - toobit
              - upbit
              - whitebit
              - woo
              - xt
          description: Venue identifier. When omitted, the query is not filtered by venue.
          example: binance
        - name: symbol
          in: query
          schema:
            type:
              - string
              - 'null'
          description: >-
            Trading pair symbol (e.g. BTCUSDT). When omitted, data is aggregated
            across symbols.
          example: BTCUSDT
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    time:
                      type: string
                      format: date-time
                    price:
                      type: number
                      format: double
                  additionalProperties: false
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-Api-Key
      description: >-
        API Key authentication. Include your API key in the X-Api-Key header for
        all requests.

````